Activate Status Page Domain
POST /api/status-pages/domains/activate
Activate Status Page Domain
POST /api/status-pages/domains/activate
Activates a verified custom domain for a status page. Admin-only.
Request Body
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
domainId | number | Yes | — | The verified domain ID to activate |
Example (cURL)
curl -X POST "$BASE_URL/api/status-pages/domains/activate" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{ "domainId": 42 }'
Response
{
"activated": true,
"domain": {
"id": 42,
"hostname": "status.example.com",
"status": "active",
"role": "status_page",
"isPrimary": false,
"verificationToken": "abc123-def456-ghi789",
"verifiedAt": "2026-05-01T12:00:00.000Z",
"createdAt": "2026-05-01T11:00:00.000Z",
"updatedAt": "2026-05-01T12:30:00.000Z"
}
}
Common errors
401 Unauthorizedwhen not authenticated403 Forbiddenwhen not an admin400 Bad Requestwhen the domain is not yet verified